### Method

# Gio Subprocess wait_check_async

since: 2.40

#### Declaration

    void
    g_subprocess_wait_check_async (
      GSubprocess* subprocess,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Combines `g_subprocess_wait_async()` with g_spawn_check_wait_status().

This is the asynchronous version of g_subprocess_wait_check().

Available since: 2.40

This method completes asynchronously. Use `g_subprocess_wait_check_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User_data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.